#!/bin/sh

./configure \
  --enable-static-link \
  --without-bash-malloc \
  --disable-nls \
  --build=$(uname -m)-lix-linux-musl \
  --prefix=

## explanation
#
# --enable-static-link: links dynamically otherwise.
#
# --without-bash-malloc: use musl's malloc.  bash malloc does not work here.
#
# --disable-nls: disable localisation.
#
# --build: configure assumes a glibc system otherwise.
#
# --prefix: respect the "no /usr/local" scheme.
