#!/bin/sh

CC="gcc" \
./configure --bc-only --disable-generated-tests --disable-nls --prefix=/

## explanation
#
# CC: configure tries to use `c99` otherwise.
#
# --bc-only: don't bother building dc as well.
#
# --disable-generated-tests:
#     tests depend on bc already being present and aren't really necessary.
#
# --disable-nls: skip locale support.
#
# --prefix: respect lix os' file structure.
