#!/bin/sh

# regenerate the 'configure' script for this system.
autoreconf -ivf

SEEDD_CONTROL_SOCKET=/var/run/bit-babbler/seedd.socket \
./configure \
    --disable-shared \
    --enable-static \
    --without-udev \
    --prefix=

## explanation
#
# SEEDD_CONTROL_SOCKET: put the ipc socket in /var/run instead of /run.
#
# --disable-shared --enable-static: link statically.
#
# --without-udev: avoid udev.  it's not necessary.  smdev handles hotplugging.
#
# --prefix: respect the "no /usr/local" scheme.
