#!/bin/sh

make -j$(nproc) install-seedd install-seedd-conf install-bbctl \
  install-bbcheck install-bbvirt install-vm-conf install-man1

# explanation
#
# installs all targets EXCEPT the systemd service and the munin scripts.
# automagically creating startup scripts is not "the lix way."  nothing should
# ever happen without the user's explicit say-so.  making assumptions about
# what service runner the user is using is a bridge too far, as is setting up
# something to run every time the user logs in.  if the user wants something
# to run automatically when they boot up, they need to make that happen in a
# way consistent with their preferred init system.
