#!/bin/sh

#CFLAGS="$SHARED_CFLAGS -I/include/glib-2.0 -I/lib/glib-2.0/include -DEGL_NO_X11" \
CFLAGS="$SHARED_CFLAGS" \
CXXFLAGS="$SHARED_CXXFLAGS" \
LDFLAGS="$SHARED_LDFLAGS" \
./configure \
    --enable-gobject \
    --enable-ft \
    --enable-fc \
    --enable-pdf \
    --enable-ps \
    --enable-png \
    --enable-svg \
    --enable-tee \
    --enable-egl \
    --enable-glesv2 \
    --enable-shared \
    --enable-static \
    --build="$(uname -m)-lix-linux-musl" \
    --host="$(uname -m)-lix-linux-musl" \
    --prefix=

## explanation
#
# --disable-shared: don't build anything with dynamic linking.
#
# --enable-static: use static linking instead.
#
# --build: make sure the build string gets set correctly.
#
# --host: make sure the host string gets set correctly.
#
# --prefix: respect the "no /usr/local" policy.
