#!/bin/sh

./bootstrap \
    --system-curl \
    --system-expat \
    --docdir=/share/doc \
    --parallel=$(nproc) \
    --prefix=

## explanation
#
# --system-curl: use lix-os' own libcurl.
#
# --system-expat: use lix-os' own libexpat.
#
# --system-zlib: use lix-os' own zlib.
#
# --system-bzip2: use lix-os' own libbzip2.
#
# --system-libarchive: use lix-os' own libarchive.
#
# --docdir: put the library copyrights and licenses in /share/doc.
#
# --parallel: run in parallel as much as possible. speeds things up.
#
# --prefix: respect the "no /usr/local" policy.
