#!/bin/sh -e

autoreconf -vif

./configure \
    --with-xml=expat \
    --with-dbus-user=messagebus \
    --with-system-pid-file=/var/run/dbus.pid \
    --disable-verbose-mode \
    --enable-inotify \
    --disable-dnotify \
    --enable-modular-tests=yes \
    --disable-asserts \
    --disable-xml-docs \
    --with-session-socket-dir=/tmp \
    --enable-static \
    --enable-shared \
    --build="$BUILD" \
    --host="$HOST" \
    --prefix="$PREFIX"
    #--disable-user-session \
