#!/bin/sh

# force regeneration of hash functions
rm -f src/fcobjshash.h

CFLAGS="$SHARED_CFLAGS" \
CXXFLAGS="$SHARED_CXXFLAGS" \
LDFLAGS="$SHARED_LDFLAGS" \
LIBS="-lglib-2.0" \
./configure \
    --disable-docs \
    --disable-nls \
    --enable-shared \
    --enable-static \
    --build="$(uname -m)-lix-linux-musl" \
    --host="$(uname -m)-lix-linux-musl" \
    --prefix=

#FREETYPE_CFLAGS="-I/include/freetype2" \
#FREETYPE_LIBS="/lib/libfreetype.a" \

#
# --disable-shared: don't build anything with dynamic linking.
#
# --enable-static: use static linking instead.
#
# --build: make sure the build string gets set correctly.
#
# --host: make sure the host string gets set correctly.
#
# --prefix: respect the "no /usr/local" policy.
