#!/bin/sh

# force posix-compliant printf and a shared build.
gt_cv_func_printf_posix=yes \
CFLAGS="" \
CXXFLAGS="" \
CPPFLAGS="" \
LDFLAGS="" \
LIBS="-lxml2 -lunistring" \
./configure \
    --enable-threads=posix \
    --disable-java \
    --enable-static \
    --build="$(uname -m)-lix-linux-musl" \
    --host="$(uname -m)-lix-linux-musl" \
    --prefix=

## explanation
#
# --enable-static: use static linking instead.
#
# --build: make sure the build string gets set correctly.
#
# --host: make sure the host string gets set correctly.
#
# --prefix: respect the "no /usr/local" policy.
