#!/bin/sh -e

export DESTDIR="$1"

# Don't build tests/fuzzing stuff.
find . -type f -name meson.build -exec \
    sed -i "/subdir('tests')/d;/subdir('fuzzing')/d" {} +

CFLAGS="$SHARED_CFLAGS" \
CXXFLAGS="$SHARED_CXXFLAGS" \
LDFLAGS="$SHARED_LDFLAGS" \
meson \
    -Ddefault_library=both \
    -Dinstalled_tests=false \
    -Dinternal_pcre=true \
    -Dman=false \
    -Dfam=false \
    --prefix=/usr \
    ../build
    #-Dlibmount=disabled \
