#!/bin/sh -e

./autogen.sh NOCONFIG

CONFIG_SHELL=/bin/sh \
LIBPOSTFIX=/ \
LUA=lua$_luaver \
lua_suffix=$_luaver \
./configure \
	--sysconfdir=/etc \
	--disable-silent-rules \
	--disable-dependency-tracking \
	--disable-ltdl-install \
	--enable-ltdl \
	--enable-sharp=no \
	--enable-go=no \
	--enable-guile=no \
	--enable-java=no \
	--enable-lua=yes \
	--enable-ocaml=no \
	--enable-perl=no \
	--enable-php=no \
	--enable-python=yes \
	--enable-r=no \
	--enable-ruby=no \
	--enable-tcl=no \
	--without-included-ltdl \
	--without-x \
	--with-rsvg=yes \
	--with-pangocairo=yes \
	--with-gdk-pixbuf=yes \
	--with-libgd=no \
	--with-ipsepcola=yes \
	--disable-static \
	--enable-shared \
	--build="$BUILD" \
	--host="$HOST" \
	--prefix="$PREFIX" \

if [ "$CARCH" = "x86_64" ]; then
	# the configure script thinks we have sincos. we dont.
	sed -i -e '/HAVE_SINCOS/d' config.h
fi
