#!/bin/sh

make -j$(nproc) install

# kmod is a multi-binary that can behave like the utility it's called as.
# fill in any missing module utilities with symlinks to kmod.
while read util; do
    [ -e /bin/$util ] || ln -s kmod /bin/$util
done <<EOF
lsmod
rmmod
insmod
modinfo
modprobe
depmod
EOF
