#!/bin/sh

./configure \
  --disable-all-programs \
  --disable-shared \
  --enable-static \
  --enable-libblkid \
  --prefix=

## explanation
#
# --disable-all-programs:
#     disable everything. this package actually contains a bunch of libraries...
#
# --disable-shared --enable static: only build static libraries.
#
# --enable-libblkid: enable only libblkid.
#
# --prefix: respect the "no /usr/local" policy.
