#!/bin/sh -e


# pulled from kiss linux

# Disable configure error for missing argp.
sed -i 's/as_fn_error.*libargp/: "/g' configure

# Don't compile two unrelated C files which require argp.
sed -i 's/color.*printversion../#/g' lib/Makefile.in

CFLAGS="$SHARED_CFLAGS -Wno-error" \
CXXFLAGS="$SHARED_CXXFLAGS" \
LDFLAGS="$SHARED_LDFLAGS" \
./configure \
    --disable-symbol-versioning \
    --disable-debuginfod \
    --disable-nls \
    --enable-shared \
    --enable-static \
    --build="$(uname -m)-lix-linux-musl" \
    --host="$(uname -m)-lix-linux-musl" \
    --prefix=/usr
