#!/bin/sh

./configure \
    --build="$(uname -m)-lix-linux-musl" \
    --host="$(uname -m)-lix-linux-musl" \
    --with-pic \
    --prefix=

## explanation
#
# --build: make sure the correct build string is set.
#
# --host: make sure the correct host string is set.
#
# --with-pic: use position-independent objects wherever possible.
#
# --prefix: respect the "no /usr/local" policy.
