#!/bin/sh -e

if [ "$BUILD" != "$HOST" ]; then
    CMAKE_CROSSOPTS="-DCMAKE_SYSTEM_NAME=Linux -DCMAKE_HOST_SYSTEM_NAME=Linux"
fi

cd ../build
cmake \
    -DCMAKE_INSTALL_PREFIX=/usr \
    -DCMAKE_INSTALL_LIBDIR=lib \
    -DBUILD_SHARED_LIBS=True \
    -DCMAKE_BUILD_TYPE=None \
    -DCMAKE_CXX_FLAGS="$SHARED_CXXFLAGS -DEGL_NO_X11" \
    -DCMAKE_C_FLAGS="$SHARED_CFLAGS -DEGL_NO_X11" \
    $CMAKE_CROSSOPTS \
    ../src
