#!/bin/sh


sed -i 's/pthread-stubs //' configure
#PYTHONPATH="$PYTHONPATH:/lib/python3.8/site-packages" \
#XCBPROTO_CFLAGS="-I/include" \
#XCBPROTO_LIBS="$LDFLAGS" \
#NEEDED_CFLAGS="-I/include" \
#NEEDED_LIBS="$LDFLAGS" \
./configure \
    --enable-xkb \
    --enable-xinput \
    --disable-xprint \
    --disable-shared \
    --enable-static \
    --build="$(uname -m)-lix-linux-musl" \
    --host="$(uname -m)-lix-linux-musl" \
    --prefix=


#XCBPROTO_XCBINCLUDEDIR="/share/xcb" \
#PYTHONPATH="$PYTHONPATH:/lib/python3.8/site-packages" \
#XCBPROTO_CFLAGS="-I/include" \
#XCBPROTO_LIBS="$LDFLAGS" \
#NEEDED_CFLAGS="-I/include" \
#NEEDED_LIBS="$LDFLAGS" \
./configure --prefix=

## explanation
#
# --disable-shared: don't build anything with dynamic linking.
#
# --enable-static: use static linking instead.
#
# --build: make sure the build string gets set correctly.
#
# --host: make sure the host string gets set correctly.
#
# --prefix: respect the "no /usr/local" policy.
