#!/bin/sh

./autogen.sh \
    --with-lzma \
    --with-zlib \
    --enable-static \
    --enable-shared \
    --build="$(uname -m)-lix-linux-musl" \
    --host="$(uname -m)-lix-linux-musl" \
    --prefix=

## explanation
#
# --enable-shared: build the shared libraries.
#
# --enable-static: build the static libraries.
#
# --build: make sure the build string gets set correctly.
#
# --host: make sure the host string gets set correctly.
#
# --prefix: respect the "no /usr/local" policy.
