#!/bin/sh

set -e

[ -d /boot ] || mkdir -p /boot

make INSTALL_PATH="/boot" KERNELRELEASE="$version" install
make INSTALL_HDR_PATH="/" headers_install

if (grep -q "^CONFIG_MODULES=y" /mnt/src/.config); then
    make INSTALL_MOD_PATH="/" modules_install
    depmod -b / -F /boot/System.map $version
fi
cp -v .config /boot/config-$version
