#!/bin/sh

set -e

# out-of-tree build because we can.
cd ../build

../src/configure \
    --with-ssl \
    --with-screen=ncurses \
    --with-zlib \
    --with-bzlib \
    --prefix=

## explanation
#
# --with-ssl: enable ssl.
#
# --with-screen: use ncurses for the tui.
#
# --with-zlib --with-bzlib: support zlib and bz2 compression.
#
# --prefix: respect the "no /usr/local" policy.
