#!/bin/sh

./configure \
  --disable-all-programs \
  --disable-shared \
  --enable-static \
  --enable-libblkid \
  --enable-libmount \
  --enable-mount \
  --prefix=

## explanation
#
# --disable-all-programs:
#     disable everything. this package actually contains a bunch of libraries...
#
# --disable-shared --enable static: only build static libraries.
#
# --enable-mount: enable only mount.
#
# --prefix: respect the "no /usr/local" policy.
