#!/bin/sh

DESTDIR=/ make -j$(nproc) install

# compiling with wide character support creates ncursesw.a and ncursesw.h.
# these can be used just as ncurses.a and ncurses.h, but some packages don't
# look for them.  creating these softlinks solves this problem.
for lib in ncurses ncurses++ form panel menu; do
  [ ! -e "/lib/pkgconfig" ] \
  || ln -sf "${lib}w.pc" "/lib/pkgconfig/${lib}.pc"

  [ ! -e "/lib/lib${lib}w.a" ] \
  || ln -sf "lib${lib}w.a" "/lib/lib${lib}.a"

done
ln -sf "/include/ncursesw" "/include/ncurses"
