#!/bin/sh

# SHAREDIR is /dev/null here because we don't want pciutils to install its
# pci id archives.  they are a subset of the ones in the hwids package.
make OPT="$CFLAGS" \
     PREFIX= \
     SHAREDIR=/dev/null \
     install

printf "removing redundant pci ids... "
# hwids provides a superset of this data...
rm -fr /share/nonexistent
echo "done!"

printf "removing unnecessary pci id update utility and manpage... "
# ...and these are not needed because of that.
rm /bin/update-pciids
rm /share/man/man8/update-pciids.8
echo "done!"
