#!/bin/sh

export CC="gcc"

if [ "$(which python3 2> /dev/null)" ]; then
    export PY3VER="$(python3 -V | sed -n 's/^Python \(\w\+\.\w\+\).*/\1/p')"
    export PY3PKGS="/lib/python$PY3VER/site-packages"
    export PYTHONHOME="/usr:/usr"
    export PYTHONPATH="/lib/python/$PY3VER:$PY3PKGS"
fi

# TODO: remove the need for these lines by making musl-cross-make build a gcc
# with a header search path of /include only, with all headers contained there.
export CPATH="${CPATH:-/include}"
export C_INCLUDE_PATH="/powerpc64le-lix-linux-musl/include"
export CPLUS_INCLUDE_PATH="/include/c++/9.2.0/powerpc64le-lix-linux-musl:/include/c++/9.2.0"
