#!/bin/sh

./configure \
    --build=$(uname -m)-lix-linux-musl \
    --disable-xxhash \
    --disable-zstd \
    --disable-lz4 \
    --prefix=

## explanation
#
# --build: 
#     configure fails without this because it can't recognize 
#     ppc64le-*-linux-musl machines on its own.
#
# --disable-xxhash --disable-zstd --disable-lz4:
#     these checksum and compression algorithms are optional and would create
#     additional dependencies.  will reconsider if including them would be
#     beneficial to enough people.
#
# --prefix: respect the "no /usr/local" policy.
