#!/bin/sh -e

#autoreconf -ivf

# the configure script does not detect isnan/isinf as macros
#export ac_cv_func_isnan=yes
#export ac_cv_func_isinf=yes

./configure \
    --sysconfdir=$PREFIX/etc \
    --mandir=$PREFIX/share/man \
    --infodir=$PREFIX/share/info \
    --with-sitedir=$PREFIX/lib/site_ruby \
    --with-search-path="$PREFIX/lib/site_ruby/\$(ruby_ver)/$ARCH-linux" \
    --enable-pthread \
    --disable-rpath \
    --enable-shared \
    --enable-static \
    --build=$BUILD \
    --host=$HOST \
    --prefix=$PREFIX
