#!/bin/sh -e

. ../how/default-env.sh

[ "$ARCH" != 'x86' ] || ARCH='i386'

# copied from alpine linux's APKBUILD:
# -fomit-frame-pointer makes ruby segfault, see gentoo bug #150413
# In many places aliasing rules are broken; play it safe
# as it's risky with newer compilers to leave it as it is.
export CFLAGS="$SHARED_CFLAGS -fno-omit-frame-pointer -fno-strict-aliasing"
export CPPFLAGS="$SHARED_CPPFLAGS -fno-omit-frame-pointer -fno-strict-aliasing"
export LDFLAGS="$SHARED_LDFLAGS"

# Needed for coroutine stuff
export LIBS="-lucontext"

# ruby saves path to install. we want use $PATH
#export INSTALL=install
