#!/bin/sh -e

. ../how/default-env.sh

CFLAGS="$SHARED_CFLAGS -D__WORDSIZE=64 -DLITTLE_ENDIAN"
CXXFLAGS="$SHARED_CXXFLAGS -D__WORDSIZE=64 -DLITTLE_ENDIAN"
LDFLAGS="$SHARED_LDFLAGS -lEGL -lGLESv2" # WHY? this just SUDDENLY became necessary. :/

# it's strange and less than ideal that all this is necessary.
# this likely indicates something in the stack is broken, and a cleaner
# solution should be possible.  for the time-being, removing libepoxy from the
# build stack makes all these manual include flags necessary.  libepoxy has been
# removed because it seems to result in webkit2gtk insisting on the OPENGL_API
# instead of the OPENGL_ES_API.  (grep around for those in the source code for a
# clearer idea of what's going on.  those macros are the same in libepoxy, mesa,
# and webkit2gtk.)
#CXXFLAGS="$CXXFLAGS -I/include/gtk-3.0/"
#CXXFLAGS="$CXXFLAGS -I/include/glib-2.0 -I/lib/glib-2.0/include"
#CXXFLAGS="$CXXFLAGS -I/include/pango-1.0"
#CXXFLAGS="$CXXFLAGS -I/include/harfbuzz"
#CXXFLAGS="$CXXFLAGS -I/include/cairo"
#CXXFLAGS="$CXXFLAGS -I/include/gdk-pixbuf-2.0"
