#!/bin/sh -e

#LIBS="-L/usr/lib -lGL -lpthread -lGLESv1_CM -pthread -lm -lglapi -lpthread -ldrm -lm -lpthread -lxcb -L/usr/lib -lXau -lxcb-glx -L/usr/lib -lXau -lxcb -L/usr/lib -lXau -lX11-xcb -lX11 -lpthread -L/usr/lib -lXau -lxcb -L/usr/lib -lXau -lxcb-dri2 -lxcb -L/usr/lib -lXau -L/usr/lib -lX11 -lpthread -lxcb -L/usr/lib -lXau -L/usr/lib -lX11 -lpthread -lxcb -L/usr/lib -lXau -lXdamage -L/usr/lib -lX11 -lpthread -lxcb -L/usr/lib -lXau -L/usr/lib -lX11 -lpthread -lxcb -L/usr/lib -lXau -lXfixes -L/usr/lib -lX11 -lpthread -lxcb -L/usr/lib -lXau -lXxf86vm -L/usr/lib -lX11 -lpthread -lxcb -L/usr/lib -lXau -lXext -lX11 -lpthread -lxcb -lXau -lxshmfence -lexpat" \

ln -s /bin/pkgconf /bin/pkg-config

#LDFLAGS="-Wl,-rpath=/lib,--enable-new-dtags" \
CFLAGS="-Wno-implicit -Wno-int-to-pointer-cast" \
LIBS="-lcrypto" \
./configure \
    --prefix=/usr \
    --localstatedir=/var \
    --disable-systemd-logind \
    --disable-xwayland \
    --disable-unit-tests \
    --enable-xorg \
    --enable-fbdev \
    --disable-dri \
    --disable-glx \
    --disable-glamor \
    --disable-static \
    --enable-shared \
    --with-sha1=libcrypto \
    --with-systemd-daemon=off
#    --enable-glx \
#    --enable-glamor \
#    --enable-dri \
#    --enable-dri2 \
#    --enable-dri3 \

rm /bin/pkg-config
