#!/bin/sh

DESTDIR=/ make -j$(nproc) install

# without the dirty hack below, any package that uses curl would have to also
# have libbearssl added to its list of linked libraries when building.  merging
# libbearssl.a into libcurl.a here will prevent a lot of trouble later.
if [ -f /lib/libbearssl.a ]; then
	echo "merging libbearssl into libcurl"
	mv /lib/libcurl.a /lib/libcurl-clean.a
	cd /lib
	ar -M <<EOF
create libcurl.a
addlib libbearssl.a
addlib libcurl-clean.a
save
end
EOF
	echo "done"
fi
