#!/bin/sh

# e2fsprogs recommends out-of-tree builds, so use the 'build' mount.
cd /mnt/build

/mnt/src/configure --disable-nls --enable-fsck --srcdir="/mnt/src" --prefix=

## explanation
#
# --disable-nls: skip locale support.
#
# --enable-fsck: also build the fsck wrapper utility.
#
# --srcdir: without this, some makefiles can't find $pkg/config/install-sh
#
# --prefix: respect lix os' directory structure.
