#!/bin/sh

set -e

# expat keeps its sources one layer deeper than most other packages.
cd expat

# generate the configure script
./buildconf.sh

./configure \
    --disable-shared \
    --enable-static \
    --build=$(uname -m)-lix-linux-musl \
    --host=$(uname -m)-lix-linux-musl \
    --prefix=

## explanation
#
# --disable-shared: don't build the shared libraries.
#
# --build: tell expat what system it's building for.
#
# --prefix: respect lix os' file structure.
