#!/bin/sh

# gdb prefers an out-of-tree build.
cd ../build

../src/configure \
    --enable-static \
    --build=$(uname -m)-lix-linux-musl \
    --host=$(uname -m)-lix-linux-musl \
    --prefix=

## explanation
#
# --build: make sure the build string is set correctly.
#
# --prefix: respect the "no /usr/local" policy.
