#!/bin/sh

./configure --disable-shared \
            --enable-static \
            --build=$(uname -m)-lix-linux-musl \
            --host=$(uname -m)-lix-linux-musl \
            --docdir=/share/doc \
            --prefix=

## explanation
#
# --disable-shared: don't build the shared library.
#
# --enable-static: build the static library.
#
# --build: make sure the build string is correct.
#
# --host: make sure the host string is correct.
#
# --docdir: the 'doc' directory defaults to /doc instead of /share/doc.
#
# --prefix: respect the "no /usr/local" policy.
