#!/bin/sh

./configure --disable-nls \
            --enable-bzip2 \
            --enable-tofu \
            --enable-scdaemon \
            --build=$(uname -m)-lix-linux-musl \
            --host=$(uname -m)-lix-linux-musl \
            --prefix=

## explanation
#
# --disable-nls: don't bother with localisation.
#
# --enable-bzip2: enable bzip2 compression.
#
# --enable-tofu: "trust on first use."  weaker than web of trust, but easier to
#     use.  may reconsider this decision later...
#
# --enable-scdaemon: enable smartcard support.
#
# --build: make sure the correct build string is set.
#
# --host: make sure the correct host string is set.
#
# --prefix: respect the "no /usr/local" policy.
