#!/bin/sh

#LIBX11_CFLAGS="$CFLAGS -I/include/X11" \
#LIBX11_LDFLAGS="$LDFLAGS -lX11" \
#CFLAGS="$CFLAGS -I/include/X11" \
LIBS="-ljpeg -lz" \
./configure \
    --disable-mmx \
    --disable-amd64 \
    --enable-visibility-hiding \
    --without-x \
    --with-bzip2 \
    --with-gif \
    --with-id3 \
    --with-jpeg \
    --with-png \
    --with-tiff \
    --with-webp \
    --with-zlib \
    --disable-shared \
    --enable-static \
    --build="$(uname -m)-lix-linux-musl" \
    --host="$(uname -m)-lix-linux-musl" \
    --prefix=

    #--with-x \
    #--x-includes="/include" \
    #--x-libraries="-lX11" \
## explanation
#
# --disable-shared: don't build anything with dynamic linking.
#
# --enable-static: use static linking instead.
#
# --build: make sure the build string gets set correctly.
#
# --host: make sure the host string gets set correctly.
#
# --prefix: respect the "no /usr/local" policy.
