#!/bin/sh

cd /mnt/build
cmake /mnt/src \
  -DCMAKE_INSTALL_PREFIX=$PREFIX \
  -DENABLE_THREADING=ON \
  -DBUILD_SHARED_LIBS=OFF \
  -DCMAKE_BUILD_TYPE=production \
  -DCMAKE_INSTALL_LIBDIR:PATH=/lib \
  -DINSTALL_PREFIX=

## explanation
#
# -DENABLE_THREADING: enable threading!
#
# -DBUILD_SHARED_LIBS: only build the static libraries.
#
# -DCMAKE_BUILD_TYPE: build like this is going to be released! (optimisations.)
#
# -DCMAKE_INSTALL_LIBDIR: put the libraries in /lib
#
# -DINSTALL_PREFIX:
#     don't put things in /local! (it does anyway. inst.sh handles it.)
