#!/bin/sh

set -e

./configure \
    --without-python \
    --without-python3 \
    --build="$(uname -m)-lix-linux-musl" \
    --host="$(uname -m)-lix-linux-musl" \
    --prefix=

## explanation
#
# --without-python --without-python3: don't build the python bindings.
#
# --build: make sure the correct build string is set.
#
# --host: make sure the correct host string is set.
#
# --prefix: respect the "no /usr/local" policy.
