#!/bin/sh

./configure \
    --enable-shared \
    --enable-static \
    --build="$BUILD" \
    --host="$HOST" \
    --prefix="$PREFIX"

## explanation
#
# --disable-shared: don't build anything with dynamic linking.
#
# --enable-static: use static linking instead.
#
# --build: make sure the build string gets set correctly.
#
# --host: make sure the host string gets set correctly.
#
# --prefix: respect the "no /usr/local" policy.
