#!/bin/sh

#LDFLAGS="$LDFLAGS -lharfbuzz -lfreetype" \
#LIBS="--start-group -lfreetype -lharfbuzz --end-group" \
#LIBS="-Wl,--start-group -lfreetype -lbz2 -lz -lpng16 -lz -L/usr/lib -lharfbuzz -lm -lglib-2.0 -pthread -Wl,--end-group" \
#LDFLAGS="$LDFLAGS -lfreetype -lharfbuzz -lfreetype" \
#LIBS="-lfreetype -lharfbuzz -lfreetype -lharfbuzz -lfreetype" \
cat << EOF > ../build/pkgconfstatic
#!/bin/sh -e

pkgconfbin="\$(which pkgconf)"
[ "\$1" = "--version" ] && \$pkgconfbin --version || \$pkgconfbin --static \$@
EOF
chmod +x ../build/pkgconfstatic
export PKG_CONFIG="../build/pkgconfstatic"

./configure \
    --disable-shared \
    --enable-static \
    --with-pic \
    --build="$(uname -m)-lix-linux-musl" \
    --host="$(uname -m)-lix-linux-musl" \
    --prefix=

rm ../build/pkgconfstatic

# Point Harfbuzz to the Freetype files.
#export CFLAGS="$CFLAGS -I$1/usr/include/freetype2"
#export CXXFLAGS="$CXXFLAGS -I$1/usr/include/freetype2"
#export LDFLAGS="$LDFLAGS -L$1/usr/lib"


#-Dpkg_config_path="$1/usr/lib/pkgconfig" \
