#!/bin/sh -e

CFLAGS="$SHARED_CFLAGS" \
CXXFLAGS="$SHARED_CXXFLAGS" \
LDFLAGS="$SHARED_LDFLAGS" \
meson \
    -Ddefault-library=both \
    -Dxkb-config-root=/share/xkb \
    -Dx-locale-root=/share/xlocale \
    -Denable-x11=false \
    -Denable-xkbregistry=false \
    -Denable-wayland=false \
    -Denable-docs=false \
    --prefix=$PREFIX \
    ../build
