#!/bin/sh

set -e

mkdir -pv boot/grub/

. config.sh

[ "$BOOT" == "$ROOT" ] && pre="/boot"

cat > boot/grub/grub.cfg <<EOF
set default=0
set timeout=5

menuentry "lix-os" {
    linux  $pre/vmlinux root=$ROOT root.type=$ROOT_TYPE init=/bin/sinit ro quiet
    initrd $pre/initramfs.igz
}
EOF
