#!/bin/sh

CFLAGS="$CFLAGS_SHARED" \
CXXFLAGS="$CXXFLAGS_SHARED" \
LDFLAGS="$LDFLAGS_SHARED" \
./configure \
    --enable-shared \
    --enable-static \
    --build="$(uname -m)-lix-linux-musl" \
    --host="$(uname -m)-lix-linux-musl" \
    --prefix=

## explanation
#
# --enable-static: build the static libraries.
#
# --build: make sure the build string gets set correctly.
#
# --host: make sure the host string gets set correctly.
#
# --prefix: respect the "no /usr/local" policy.
