#!/bin/sh

# the makefile uses cp to install to DESTDIR.  because cp dereferences any
# symlinks given as the destination, this overwrites busybox on the recommended
# alpine linux bootstrap host.  rsync does not have this problem.
DESTDIR="${pkgdest:-/mnt/build}" make -j$(nproc) install
[ "$pkgdest" ] || rsync -ai /mnt/build/ /
