#!/bin/sh

./configure \
    --enable-video-nanox \
    --enable-nanox-direct-fb \
    --enable-nanox-share-memory \
    --disable-nasm \
    --disable-esd \
    --disable-audio \
    --disable-alsa \
    --disable-pulseaudio \
    --disable-video-svga \
    --disable-video-ggi \
    --disable-video-aalib \
    --without-x \
    --disable-rpath \
    --disable-shared \
    --enable-static \
    --build="$(uname -m)-lix-linux-musl" \
    --host="$(uname -m)-lix-linux-musl" \
    --prefix=

## explanation
#
# --disable-shared: don't build anything with dynamic linking.
#
# --enable-static: use static linking instead.
#
# --build: make sure the build string gets set correctly.
#
# --host: make sure the host string gets set correctly.
#
# --prefix: respect the "no /usr/local" policy.
