#!/bin/sh

#LIBS="-lxshmfence -lxcb -lX11 -lImlib2" \
#LDFLAGS="$LDFLAGS -lXext -lxcb -lxcb-shm" \
#LDFLAGS="$LDFLAGS -lImlib2 -lX11 -lX11-xcb -lpthread -lxcb-shm -lxcb -lXau -lxshmfence -lXext -lfreetype -lz -lbz2 -lpng -lz"
PKG_CONFIG="pkgconf --static" \
./configure \
    --enable-image=fb \
    --disable-nntp \
    --disable-dict \
    --disable-help-cgi \
    --with-termlib=ncurses \
    --with-imagelib=imlib2 \
    --with-ssl \
    --disable-w3mmailer \
    --build="$(uname -m)-lix-linux-musl" \
    --host="$(uname -m)-lix-linux-musl" \
    --prefix=
    #--disable-mouse \

    #--disable-shared \
    #--enable-static \
## explanation
#
# --disable-shared: don't build anything with dynamic linking.
#
# --enable-static: use static linking instead.
#
# --build: make sure the build string gets set correctly.
#
# --host: make sure the host string gets set correctly.
#
# --prefix: respect the "no /usr/local" policy.
